Status: Closed   

Priority: Normal   

Category:    

Customer: ELEKTROBIT Product Issue

Numbers:

 

Department: SUPPORT Affected Products: ADTF File Library 0.1.0 (BETA)

Requester's Priority: Normal Platform: Windows 7 64bit

Support Level: 2nd Level Topic: FileLibrary::Common

Resolution: Solved Issue FAQ Links:  

Description

Supportanfrage

Hallo,

Momentanes handling:

Wenn ein dat file mit einem Stream geladen wird, der nicht erkannt wird, bricht die File library mit einer Exception ab.

Schöner wäre ein Flag.

Bsp.:

False: Es wird mit einer Exception  abgebrochen - default Fall.

True: Der/die  entsprechende/n Stream/s wird ignoriert und der Rest (restliche enthaltende Streams) weiter geladen. Hilfreich wäre

auch die Ausgabe einer Übersicht welche Streams nicht geladen werden konnten (Hilfsfunktion mit Rückgabeliste Streamnummern).

Lösung

Das Flag ignore_unsupported_streams ist schon vorhanden, siehe adtf_file::Reader Class Reference

History

#1 - 2018-01-17 09:43 - hidden

- Project changed from Public Support to 7

- Subject changed from (ADTFS-48313) Verbesserungsvorschlag ADTF File library für Handling von Streams die nicht geladen werden können to

(ADTFS-48313) Exception if stream cannot be loaded

- Status changed from New to In Progress

- Topic set to FileLibrary::Common

- Support Level changed from 2nd Level to 3rd Level

- Customer set to ELEKTROBIT

- Department set to SUPPORT

- Affected Products ADTF File Library 0.1.0 (BETA) added

- Platform Windows 7 64bit added

#2 - 2018-01-17 09:51 - hidden

- Description updated

- Status changed from In Progress to Customer Feedback Required

- Resolution set to Product Issue Opened

- Product Issue Numbers set to https://www.cip.audi.de/jira/browse/CDIFHD-14

Hallo Anja,

ich habe eine Bugticket erstellt, da Exception nicht geht.

Was du wissen musst, wir haben ja normal keine Exceptions (soll in ACORE-9298 ja irgendwann definiert werden laut KuFo Liste und ob überhaupt).

Da die neuen Utils das aber machen, müssen wir zumindest in der File Lib darauf reagieren bzw. eine Entscheidung treffen.
support.digitalwerk.net/adtf_libraries/adtf-file-library/v0/html/a00999.html


Dein Vorschlag ist aufgenommen, wenn du keine Anmerkungen mehr hast, schließe ich das Ticket hier ab.

#3 - 2018-01-17 10:46 - hidden

- Resolution changed from Product Issue Opened to Solved Issue

- Product Issue Numbers deleted (https://www.cip.audi.de/jira/browse/CDIFHD-14)

- Support Level changed from 3rd Level to 2nd Level

Hallo Anja,

Kommando zurück, das Flag ignore_unsupported_streams ist schon vorhanden, siehe adtf_file::Reader Class Reference

#4 - 2018-01-17 10:47 - hidden

- Description updated

#5 - 2018-01-17 13:00 - hidden

- File image001.gif added

Hallo Florian,

gibt es auch eine Info welche Streams nicht geladen werden konnten?

Ansonsten passt das mit dem Flag. Danke.

Grüße,

Anja

Best regards,

Anja Winkler

EB Assist ADTF Support-Team

#6 - 2018-01-17 17:38 - hidden

Hallo Anja,

gibt es auch eine Info welche Streams nicht geladen werden konnten?

 Nein, die ADTF File Library ist komplett Logging frei wie du am Quellcode sehen kannst.

Exceptions sollten im Fehlerfall aussagekräftig genug sein.

Das Logging an sich sollte auch Aufgabe der Applikation sein oder der User passt die Library selbst an.

Was du aktuell ohne Anpassung machen kannst, ist mit ::GetStreams() die geladenen Streams zu holen.

Ist das Ticket damit für dich abgeschlossen ?

#7 - 2018-01-19 16:14 - hidden

Noch Fragen ?

Ansonsten schließe ich das Ticket...

#8 - 2018-01-23 10:10 - hidden

- Status changed from Customer Feedback Required to To Be Closed

Kein Feedback, Lösung kommuniziert und dokumentiert.

Ticket wird geschlossen

#9 - 2018-01-23 10:10 - hidden

- Project changed from 7 to Public Support

- Status changed from To Be Closed to Closed

- Private changed from Yes to No

#11 - 2019-01-30 08:11 - hidden

- Description updated
